Download it now!
Bug 114505 - Changing icon theme while in RTL mode causes flipped icons in toolbar to misbehave
Summary: Changing icon theme while in RTL mode causes flipped icons in toolbar to misb...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Toolbars RTL-UI
  Show dependency treegraph
 
Reported: 2017-12-16 21:46 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-12-28 02:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-12-16 21:46:22 UTC
steps:
1. open writer
2. switch paragraph direction to Right-to-Left
3. notice how the icons for bullets, numbering, line spacing, etc have flipped
4. tools > options > view and change the icon theme
5. notice that the flipped icons have returned to how they would look if the paragraph direction was Left-to-Right

Version: 6.1.0.0.alpha0+
Build ID: c7755e615918c1a0cb3245f75334ba08f69ac226
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2;
Comment 1 Buovjaga 2017-12-25 18:50:38 UTC
Repro. Ok, so this is a new feature that needs polishing.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 3272525e6b47af30ea5d92571cd7a6214117d359
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on December 25th 2017
Comment 2 Yousuf Philips (jay) (retired) 2017-12-26 10:39:00 UTC
(In reply to Buovjaga from comment #1)
> Repro. Ok, so this is a new feature that needs polishing.

This bug is inherited from OOo, so not sure how this a new implementation issue.
Comment 3 Buovjaga 2017-12-26 13:02:18 UTC
(In reply to Yousuf Philips (jay) from comment #2)
> (In reply to Buovjaga from comment #1)
> > Repro. Ok, so this is a new feature that needs polishing.
> 
> This bug is inherited from OOo, so not sure how this a new implementation
> issue.

I couldn't find a way to change to RTL in 3.6 and you had the version as 6.1, so I thought it was this way.
In 3.3 the buttons are in the Formatting toolbar and I could reproduce.
Comment 4 Eyal Rozenberg 2018-09-30 17:39:55 UTC
Icons' don't get flipped for me when I set the paragraph direction to RTL - and my icon themes are all "automatic":

Version: 6.2.0.0.alpha0+
Build ID: ad6adb1bfadf49af3187a0bb3ceffbf355e9eed1
CPU threads: 4; OS: Linux 4.9; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-09-29_02:45:20
Locale: en-US (en_IL); Calc: threaded

Yousuf, could this have changed without us noticing?
Comment 5 QA Administrators 2019-10-01 03:01:55 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug